/*
*   \file
*   \remarks License parser (DRM Core) APIs Prototypes
*   \author Pavel Haber
*
*   WMDRM Service Package, Type Definitions, License parser (DRM Core)
*
*   Copyright (C) 2007 by Discretix Technologies Ltd.
*           All rights reserved.
*
*/

#ifndef LICPARSER_TST_API_H
#define LICPARSER_TST_API_H

DRM_RESULT LP_PreTestCase(long lTCID, char *strTCName);
DRM_RESULT LP_PostTestCase(long lTCID, char *strTCName);

DRM_RESULT Test_API_LicenseGetAttribute(long argc, char **argv);
DRM_RESULT Test_SetLicenseString(long argc, char **argv);
DRM_RESULT Test_API_LicenseGetEvent(long argc, char **argv);
DRM_RESULT Test_API_LicenseVerifySignature(long argc, char **argv);
DRM_RESULT Test_API_LicenseVerifyCertChain(long argc, char **argv);
DRM_RESULT Test_API_LicenseGetContentRevocation(long argc, char **argv);
DRM_RESULT Test_API_LicenseVerifyContentRevocation(long argc, char **argv);
DRM_RESULT Test_API_LicenseGetEnablingBits(long argc, char **argv);
DRM_RESULT Test_SetTestKey(long argc, char **argv);
DRM_RESULT Test_SetTestKeyByName(long argc, char **argv);
DRM_RESULT Test_MakeLicense(long argc, char **argv);

#endif

